/*
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 * 
 * Contact Information:
 * Dambach-Werke GmbH
 * Elektronische Leitsysteme
 * Fritz-Minhardt-Str. 1
 * 76456 Kuppenheim
 * Phone: +49-7222-402-0
 * Fax: +49-7222-402-200
 * mailto: info@els.dambach.de
 */

package de.bsvrz.sys.testsys.testsys;

import de.bsvrz.dav.daf.main.ClientDavInterface;

/**
 * Interface zur bermittlung des Betriebsmeldungsschreibers.
 * Muss von Plugins implementiert werden. Die Interfacemethode bergibt den
 * Plugins die aktuelle DAV Verbindung und den Schreiber der Betriebsmeldungen
 * (Ruf-Zurck-Funktion, vgl. Interface {@link IMeldungFehler})
 * 
 * @author ChriestenJ
 */
public interface IGibZugriff
{
  /**
   * Ruf-Zurueck-Funktion.
   * Teilt dem Plugin die aktuelle DAV Verbindung und 
   * den Schreiber der Betriebsmeldungen mit.
   * 
   * @param pluginVerwalter Schreiber der Betriebsmeldungen
   * @param connection DAV Verbindung
   */
  public abstract void steuereUeberwachung(IMeldungFehler pluginVerwalter, ClientDavInterface connection);

}
